Package be.fgov.ehealth.dics.protocol.v5

# Class GenericReferenceTableType

java.lang.Object
be.fgov.ehealth.dics.protocol.v5.GenericReferenceTableType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class GenericReferenceTableType extends Object implements Serializable

Java class for GenericReferenceTableType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GenericReferenceTableType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="GenericReferenceEntry" type="{urn:be:fgov:ehealth:dics:protocol:v5}GenericReferenceEntryType"/>
           </sequence>
           <attribute name="Name" use="required" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenericReferenceTableType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GenericReferenceEntryType`
  `getGenericReferenceEntry()`
  One entry in the reference table.
  `String`
  `getName()`
  The name of the Reference Table.
  `void`
  `setGenericReferenceEntry(GenericReferenceEntryType value)`
  Sets the value of the genericReferenceEntry property.
  `void`
  `setName(String value)`
  Sets the value of the name property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GenericReferenceTableType

    public GenericReferenceTableType()

- ## Method Details

  - ### getGenericReferenceEntry

    public GenericReferenceEntryType getGenericReferenceEntry()
    One entry in the reference table.
    Returns:
      possible object is `GenericReferenceEntryType`

  - ### setGenericReferenceEntry

    public void setGenericReferenceEntry(GenericReferenceEntryType value)
    Sets the value of the genericReferenceEntry property.
    Parameters:
      `value` - allowed object is `GenericReferenceEntryType`
    See Also:
      - `getGenericReferenceEntry()`

  - ### getName

    public String getName()
    The name of the Reference Table. Corresponds with the name in the request.
    Returns:
      possible object is `String`

  - ### setName

    public void setName(String value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getName()`